{include file="$template/includes/verifyemail.tpl"}
<section id="main-body">
    <div class="row"  style="margin-top: -15px;">
	    <div class="col-lg-12 main-content">
		<!-- Container for main page display content -->
            {if !$primarySidebar->hasChildren() && !$showingLoginPage && !$inShoppingCart && $templatefile != 'homepage'}
                {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
            {/if}


<div class="content content-boxed">
<div class="block">
<div class="bg-image" style="background-image: url('{$WEB_ROOT}/templates/styledoiam/oneui/assets/img/photos/photo6@2x.jpg');">
<div class="block-content bg-primary-dark-op text-center overflow-hidden">
<div class="push-30-t push animated fadeInDown">
<img class="img-avatar img-avatar96" src="{$WEB_ROOT}/templates/styledoiam/oneui/assets/img/avatars/default_family1.png" alt="">
</div>
<div class="push-30 animated fadeInUp">
<h2 class="h4 font-w600 text-white push-5">欢迎回来，{$clientsdetails.lastname}{$clientsdetails.firstname}</h2>
</div>
</div>
</div>
<div class="block-content text-center">
<div class="row items-push text-uppercase">
<div class="col-xs-6 col-sm-3">
<a href="clientarea.php?action=services">
<div class="h2 font-w300 push-10 text-primary animated flipInX"><i class="si si-layers"></i></div>
<span class="font-w700 text-gray-darker animated fadeIn"><span class="text-primary">{$clientsstats.productsnumactive}</span> &nbsp;{$LANG.navservices}</span>
</a>
</div>
{if $registerdomainenabled || $transferdomainenabled}
<div class="col-xs-6 col-sm-3">
<a href="clientarea.php?action=domains">
<div class="h2 font-w300 push-10 text-success animated flipInX"><i class="fa fa-globe"></i></div>
<span class="font-w700 text-gray-darker animated fadeIn"><span class="text-success">{$clientsstats.numactivedomains}</span> &nbsp;{$LANG.navdomains}</span>
</a>
</div>
{elseif $condlinks.affiliates && $clientsstats.isAffiliate}
<div class="col-xs-6 col-sm-3">
<a href="affiliates.php">
<div class="h2 font-w300 push-10 text-success animated flipInX"><i class="fa fa-universal-access"></i></div>
<span class="font-w700 text-gray-darker animated fadeIn"><span class="text-success">{$clientsstats.numaffiliatesignups}</span> &nbsp;{$LANG.affiliatessignups}</span>
</a>
</div>
{else}
<div class="col-xs-6 col-sm-3">
<a href="clientarea.php?action=quotes">
<div class="h2 font-w300 push-10 text-success animated flipInX"><i class="fa fa-file-text-o"></i></div>
<span class="font-w700 text-gray-darker animated fadeIn"><span class="text-success">{$clientsstats.numquotes}</span> &nbsp;{$LANG.quotes}</span>
</a>
</div>
{/if}
<div class="col-xs-6 col-sm-3">
<a href="clientarea.php?action=invoices">
<div class="h2 font-w300 push-10 text-warning animated flipInX"><i class="fa fa-credit-card"></i></div>
<span class="font-w700 text-gray-darker animated fadeIn"><span class="text-warning">{$clientsstats.numunpaidinvoices}</span> &nbsp;{$LANG.navinvoices}</span>
</a>
</div>
<div class="col-xs-6 col-sm-3">
<a href="supporttickets.php">
<div class="h2 font-w300 push-10 text-amethyst animated flipInX"><i class="si si-speech"></i></div>
<span class="font-w700 text-gray-darker animated fadeIn"><span class="text-amethyst">{$clientsstats.numactivetickets}</span> &nbsp;{$LANG.navtickets}</span>
</a>
</div>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-5 col-sm-push-7 col-lg-4 col-lg-push-8">
<div class="block">
<div class="block-content block-content-full text-center">
<span class="text-muted push-10-l">账户余额：<i class="fa fa-cny"></i> <span style="color:#666666;"><b>{$client.credit}</b></span> 元</span>&nbsp;&nbsp; <a class="btn btn-sm btn-default" href="clientarea.php?action=addfunds"><i class="fa fa-fw fa-plus text-success"></i> {$LANG.addfunds}</a>
</div>
</div>
<div class="block block-opt-refresh-icon6 hidden-xs hidden-sm">
<div class="block-content">
<ul class="list list-simple">
<li>
                {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}
</li>
</ul>
</div>
</div>
</div>

<div class="col-sm-7 col-sm-pull-5 col-lg-8 col-lg-pull-4">

{foreach from=$addons_html item=addon_html}
    <div>
        {$addon_html}
    </div>
{/foreach}

<div class="client-home-panels">
    <div class="row">
        <div class="col-sm-12">
            {function name=outputHomePanels}
                <div menuItemName="{$item->getName()}" class="block block-home panel-accent-{$item->getExtra('color')}{if $item->getClass()} {$item->getClass()}{/if}"{if $item->getAttribute('id')} id="{$item->getAttribute('id')}"{/if}>
                    <div class="block-header bg-gray-lighter">
                        <h3 class="block-title">
                            {if $item->getExtra('btn-link') && $item->getExtra('btn-text')}
                                <div class="block-options-simple pull-right">
                                    <a href="{$item->getExtra('btn-link')}" class="btn bg-color-{$item->getExtra('color')} btn-xs" style="color:#FFFFFF;">
                                        {if $item->getExtra('btn-icon')}<i class="fa {$item->getExtra('btn-icon')}"></i>{/if}
                                        {$item->getExtra('btn-text')}
                                    </a>
                                </div>
                            {/if}
                            {if $item->hasIcon()}<i class="{$item->getIcon()}"></i>&nbsp;{/if}
                            {$item->getLabel()}
                            {if $item->hasBadge()}&nbsp;<span class="badge">{$item->getBadge()}</span>{/if}
                        </h3>
                    </div>
                    {if $item->hasBodyHtml()}
                        <div class="block-content">
                            {$item->getBodyHtml()}
                        </div>
                    {/if}
                    {if $item->hasChildren()}
                        <div class="list-timeline-content">
                            {foreach $item->getChildren() as $childItem}
                                {if $childItem->getUri()}
                                    <a menuItemName="{$childItem->getName()}" href="{$childItem->getUri()}" class="list-group-item{if $childItem->getClass()} {$childItem->getClass()}{/if}{if $childItem->isCurrent()} active{/if}"{if $childItem->getAttribute('dataToggleTab')} data-toggle="tab"{/if}{if $childItem->getAttribute('target')} target="{$childItem->getAttribute('target')}"{/if} id="{$childItem->getId()}">
                                        {if $childItem->hasIcon()}<i class="{$childItem->getIcon()}"></i>&nbsp;{/if}
                                        <div class="font-w600">{$childItem->getLabel()}</div>
                                        {if $childItem->hasBadge()}&nbsp;<span class="badge">{$childItem->getBadge()}</span>{/if}
                                    </a>
                                {else}
                                    <div menuItemName="{$childItem->getName()}" class="list-group-item{if $childItem->getClass()} {$childItem->getClass()}{/if}" id="{$childItem->getId()}">
                                        {if $childItem->hasIcon()}<i class="{$childItem->getIcon()}"></i>&nbsp;{/if}
                                        {$childItem->getLabel()}
                                        {if $childItem->hasBadge()}&nbsp;<span class="badge">{$childItem->getBadge()}</span>{/if}
                                    </div>
                                {/if}
                            {/foreach}
                        </div>
                    {/if}
					<p>
                        {if $item->hasFooterHtml()}
                            {$item->getFooterHtml()}
                        {/if}</p>
                </div>
            {/function}

            {foreach $panels as $item}
                {if $item@iteration is odd}
                    {outputHomePanels}
                {/if}
            {/foreach}

        </div>
        <div class="col-sm-12">

            {foreach $panels as $item}
                {if $item@iteration is even}
                    {outputHomePanels}
                {/if}
            {/foreach}

        </div>
    </div>
</div>

</div>
</div>
</div>
</div>
</div>